Package org.apache.commons.release.plugin.velocity

## Class ReadmeHtmlVelocityDelegate

- java.lang.Object
- - org.apache.commons.release.plugin.velocity.ReadmeHtmlVelocityDelegate

-     public class ReadmeHtmlVelocityDelegate
      extends Object

  This class' purpose is to generate the `README.html` that moves along with the release for the sake of downloading the release from the distribution area.
  Since:
    1.3

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder` | A builder class for instantiation of the `ReadmeHtmlVelocityDelegate`.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private String` | `artifactId` | This is supposed to represent the maven artifactId.
    `private String` | `siteUrl` | The url of the site that gets set into the `README.html`.
    `private static String` | `TEMPLATE` | The location of the velocity template for this class.
    `private String` | `version` | This is supposed to represent the maven version of the release.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `private` | `ReadmeHtmlVelocityDelegate​(String artifactId, String version, String siteUrl)` | The private constructor to be used by the `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder` | `builder()` | Gets the `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder` for constructing the `ReadmeHtmlVelocityDelegate`.
    `Writer` | `render​(Writer writer)` | Renders the `README.vm` velocity template with the variables constructed with the `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TEMPLATE

          private static final String TEMPLATE

      The location of the velocity template for this class.
      See Also:
        Constant Field Values

    - #### artifactId

          private final String artifactId

      This is supposed to represent the maven artifactId.

    - #### version

          private final String version

      This is supposed to represent the maven version of the release.

    - #### siteUrl

          private final String siteUrl

      The url of the site that gets set into the `README.html`.

  - ### Constructor Detail

    - #### ReadmeHtmlVelocityDelegate

          private ReadmeHtmlVelocityDelegate​(String artifactId,
                                             String version,
                                             String siteUrl)

      The private constructor to be used by the `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder`.
      Parameters:
        `artifactId` - sets the `artifactId`.
        `version` - sets the `version`.
        `siteUrl` - sets the `siteUrl`.

  - ### Method Detail

    - #### builder

          public static ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder builder()

      Gets the `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder` for constructing the `ReadmeHtmlVelocityDelegate`.
      Returns:
        the `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder`.

    - #### render

          public Writer render​(Writer writer)

      Renders the `README.vm` velocity template with the variables constructed with the `ReadmeHtmlVelocityDelegate.ReadmeHtmlVelocityDelegateBuilder`.
      Parameters:
        `writer` - is the `Writer` to which we wish to render the `README.vm` template.
      Returns:
        a reference to the `Writer` passed in.